Bug 720336 - WebUI not displaying admin options if the user is admin, but only via nested group
WebUI not displaying admin options if the user is admin, but only via nested ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.2
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On: 719926
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-11 08:34 EDT by Jenny Galipeau
Modified: 2015-01-04 18:49 EST (History)
6 users (show)

See Also:
Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Do not document
Story Points: ---
Clone Of: 719926
Environment:
Last Closed: 2011-12-06 13:41:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jenny Galipeau 2011-07-11 08:34:49 EDT
+++ This bug was initially created as a clone of Bug #719926 +++

Description of problem:
I have created an user in a testinstance:
[root@ipa01 ~]# id falko
uid=1612200003(falko) gid=1612200003(falko) groups=1612200003(falko),1612200001(ipausers),1612200004(ttt.admin),1612200000(admins)

The user is in the group 'admin', because the group 'ttt.admin' is listed in the member groups of 'admin'. While this works fine with ldap/sssd, the WebUI seems to not check the nested groups.
If I directly add my testuser to the group 'admin' the WebUI correctly displays the Admin options.

Version-Release number of selected component (if applicable):
[root@ipa01 ~]# id falko
uid=1612200003(falko) gid=1612200003(falko) groups=1612200003(falko),1612200001(ipausers),1612200004(p4t.admin),1612200000(admins)

How reproducible: Always.

Steps to Reproduce:
* Install freeipa-server
* Create a group 'xxx'
* Add 'xxx' group to 'admin' group
* Create user 'asdf'
* Add 'asdf' user to the 'xxx' group
* id 'asdf' will show both groups
* WebUI will only display the user webinterface
  
Actual results:
* WebUI seems not to check the nested groups.

Expected results:
* WebUI should also check the nested groups.

Additional info:
This is not a fatal problem, since there aren't so many IPA admins - of course; And we can add those users directly to the 'admin' group. However, it would be convenient.

--- Additional comment from oliver@linux-kernel.at on 2011-07-08 08:47:55 EDT ---

Update:

Version-Release number of selected component (if applicable):
[root@ipa01 ~]# rpm -q freeipa-server
freeipa-server-2.0.1-2.fc15.i686

(Used the wrong buffer)

--- Additional comment from jgalipea@redhat.com on 2011-07-08 11:03:06 EDT ---

Question ... there are radio buttons for direct and indirect members now ... are you selecting indirect members to see user asdf as an indirect member of admin group?  This is working for me.

--- Additional comment from jgalipea@redhat.com on 2011-07-08 11:03:37 EDT ---

Created attachment 511940 [details]
indirect member of a group

--- Additional comment from oliver@linux-kernel.at on 2011-07-11 02:40:42 EDT ---

Your different looks different to mine... 8-/

However, the user is - of course - an indirect member, since it is direct member in the group 'xxx', and 'xxx' group is member in the 'admin' group. As already said.

Again, it's not a problem that the user doesn't belong to the group when it comes to ldap queries or if you check the user using the WebUI. But if you log in with the user, you only see the user UI and not the admin UI...

--- Additional comment from jgalipea@redhat.com on 2011-07-11 08:33:18 EDT ---

Created attachment 512200 [details]
screenshot of admin user logged in

I see what you mean now ....
Comment 1 Oliver Falk 2011-07-11 08:41:57 EDT
Yes. Exactly what I experienced. Great you were able to reproduce it!

/me didn't want to block RHEL 8-)
Comment 2 Jenny Galipeau 2011-07-11 08:48:15 EDT
:-)  ... That's my job!  lol
Comment 3 Rob Crittenden 2011-07-11 10:00:00 EDT
https://fedorahosted.org/freeipa/ticket/1465
Comment 4 Rob Crittenden 2011-08-01 15:50:43 EDT
master: 04753403445dd5b73baa1422206b5ca352281e4a
Comment 7 Rob Crittenden 2011-10-31 16:50:27 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document
Comment 8 Namita Soman 2011-11-05 22:03:10 EDT
Verified using ipa-server-2.1.3-8.el6.x86_64

Added group testone, enrolled it as member of admin group. Added user asdf, enrolled in testone, making admin its indirect group. Logged as asdf, and can see all WebUI...like an admin should
Comment 9 errata-xmlrpc 2011-12-06 13:41:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html

Note You need to log in before you can comment on or make changes to this bug.